#!/usr/bin/env python
""" creates a header from a text file
"""

import os, sys
def main(var_name, file_name, out_file_name):
    ifile = open(file_name,'r')
    if not ifile:
        return
    
    ofile = open(out_file_name,'w')
    if not ofile:
        ifile.close()
        return
    
    ofile.write("const char %s[] = {\n" % var_name) 
    for line in ifile:
        if line[-1]=='\n':
            line = line[0:-1]
            
        ss = line.rstrip().lstrip()
        ss = ss.replace('"','\\"')
        if len(ss)>0:
            ofile.write( "\"%s\\n\" \\\n" % ss )

        
    ofile.write("};\n")
    ifile.close()
    ofile.close()

if __name__ == "__main__":
    var_name = sys.argv[1]
    file_name = sys.argv[2]
    out_file = sys.argv[3]
    
    main(var_name, file_name, out_file)